
Redmine - Defect #37562

POST Requests to repository WS fail with "Can't verify CSRF token authenticity"

2022-08-09 08:16 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version: 5.0.3   

Resolution: Fixed Affected version:  

Description

The issue has been reported as #33029#note-6 and #33029#note-8.

Started POST "/sys/fetch_changesets" for 127.0.0.1 at 2022-08-09 14:53:41 +0900

Processing by SysController#fetch_changesets as */*

  Parameters: {"key"=>"XXXXXXXX"}

Can't verify CSRF token authenticity.

Completed 422 Unprocessable Entity in 1ms (ActiveRecord: 0.0ms | Allocations: 169)

ActionController::InvalidAuthenticityToken (ActionController::InvalidAuthenticityToken):

Related issues:

Related to Redmine - Patch #36317: Set default protect from forgery true Closed

Associated revisions

Revision 21766 - 2022-08-10 03:34 - Go MAEDA

POST Requests to repository WS fail with "Can't verify CSRF token authenticity" (#37562).

Patch by Go MAEDA.

Revision 21767 - 2022-08-10 03:39 - Go MAEDA

Merged r21766 from trunk to 5.0-stable (#37562).

History

#1 - 2022-08-09 08:26 - Go MAEDA

- Related to Patch #36317: Set default protect from forgery true added

#2 - 2022-08-09 08:36 - Go MAEDA

- File 37562.patch added

Attaching a patch to fix the issue.

#3 - 2022-08-10 03:40 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you for reporting the issue.

#4 - 2022-08-10 08:34 - Yasuhiro Oguro

MAEDA-san arigatou gozaimasu.

Regards,

Files

37562.patch 1.14 KB 2022-08-09 Go MAEDA
